/// <reference types="node" />
export { toHelpSection } from './util';
export { Deployable, Deployer, DeployerResult } from './deployer';
export { Deauthorizer } from './deauthorizer';
export { Progress, Prompter, generateTableChoices } from './ux';
export { SfHook } from './hooks';
export * from './types';
export { SfCommand, SfCommandInterface, StandardColors } from './sfCommand';
import { salesforceIdFlag } from './flags/salesforceId';
import { durationFlag } from './flags/duration';
export declare const Flags: {
    boolean: typeof import("@oclif/core/lib/parser/flags").boolean;
    directory: typeof import("@oclif/core/lib/parser/flags").directory;
    enum: <T = string>(opts: import("@oclif/core/lib/interfaces").EnumFlagOptions<T>) => import("@oclif/core/lib/interfaces").OptionFlag<T>;
    file: typeof import("@oclif/core/lib/parser/flags").file;
    integer: typeof import("@oclif/core/lib/parser/flags").integer;
    string: import("@oclif/core/lib/interfaces").Definition<string>;
    url: import("@oclif/core/lib/interfaces").Definition<import("url").URL>;
    duration: typeof durationFlag;
    salesforceId: typeof salesforceIdFlag;
    orgApiVersion: import("@oclif/core/lib/interfaces").Definition<string>;
    requiredOrg: import("@oclif/core/lib/interfaces").Definition<import("@salesforce/core").Org>;
    requiredHub: import("@oclif/core/lib/interfaces").Definition<import("@salesforce/core").Org>;
    optionalOrg: import("@oclif/core/lib/interfaces").Definition<import("@salesforce/core").Org | undefined>;
};
//# sourceMappingURL=exported.d.ts.map